Loading...
Searching...
No Matches
CLCM Class Reference

`#include <syzextra.h>`

## Public Member Functions

| CLCM (const ideal &L, const SchreyerSyzygyComputationFlags &flags)
bool | Check (const poly m) const
Public Member Functions inherited from SchreyerSyzygyComputationFlags
| SchreyerSyzygyComputationFlags (idhdl rootRingHdl)
| SchreyerSyzygyComputationFlags (const SchreyerSyzygyComputationFlags &attr)
void | nextSyzygyLayer () const

## Private Attributes

bool | m_compute
const unsigned int | m_N
| number of ring variables

## Additional Inherited Members

Data Fields inherited from SchreyerSyzygyComputationFlags
const int | OPT__DEBUG
| output all the intermediate states
const int | OPT__LEAD2SYZ
| ?
const int | OPT__TAILREDSYZ
| Reduce syzygy tails wrt the leading syzygy terms.
const int | OPT__HYBRIDNF
| Use the usual NF's S-poly reduction while dropping lower order terms 2 means - smart selection!
const int | OPT__IGNORETAILS
| ignore tails and compute the pure Schreyer frame
int | OPT__SYZNUMBER
| Syzygy level (within a resolution).
const int | OPT__TREEOUTPUT
| output lifting tree
const int | OPT__SYZCHECK
| CheckSyzygyProperty: TODO.
const bool | OPT__PROT
| TEST_OPT_PROT.
const int | OPT__NOCACHING
| no caching/stores/lookups
const ring | m_rBaseRing
| global base ring

## Detailed Description

Definition at line 200 of file syzextra.h.

## Constructor & Destructor Documentation

## CLCM()

CLCM::CLCM | ( | const ideal & | L,
|  | const SchreyerSyzygyComputationFlags & | flags )

## Member Function Documentation

## Check()

bool CLCM::Check | ( | const poly | m | ) | const

## Field Documentation

## m_compute

bool CLCM::m_compute

private

Definition at line 208 of file syzextra.h.

## m_N

const unsigned int CLCM::m_N

private

number of ring variables

Definition at line 210 of file syzextra.h.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/syzextra/syzextra.h